aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/montage-wrapper/ChangeLog9
-rw-r--r--dev-python/montage-wrapper/Manifest1
-rw-r--r--dev-python/montage-wrapper/metadata.xml11
-rw-r--r--dev-python/montage-wrapper/montage-wrapper-0.9.7.ebuild41
-rw-r--r--licenses/Montage90
-rw-r--r--sci-astronomy/montage/ChangeLog9
-rw-r--r--sci-astronomy/montage/Manifest2
-rw-r--r--sci-astronomy/montage/metadata.xml9
-rw-r--r--sci-astronomy/montage/montage-3.3.ebuild52
-rw-r--r--sci-biology/VelvetOptimiser/ChangeLog13
-rw-r--r--sci-biology/VelvetOptimiser/Manifest1
-rw-r--r--sci-biology/VelvetOptimiser/VelvetOptimiser-2.2.5.ebuild29
-rw-r--r--sci-biology/VelvetOptimiser/metadata.xml9
-rw-r--r--sci-biology/barrnap/ChangeLog9
-rw-r--r--sci-biology/barrnap/Manifest1
-rw-r--r--sci-biology/barrnap/barrnap-0.3.ebuild22
-rw-r--r--sci-biology/barrnap/metadata.xml9
-rw-r--r--sci-biology/bedtools/ChangeLog9
-rw-r--r--sci-biology/bedtools/Manifest1
-rw-r--r--sci-biology/bedtools/bedtools-2.19.1.ebuild33
-rw-r--r--sci-biology/bedtools/metadata.xml16
-rw-r--r--sci-biology/nesoni/ChangeLog10
-rw-r--r--sci-biology/nesoni/Manifest1
-rw-r--r--sci-biology/nesoni/metadata.xml9
-rw-r--r--sci-biology/nesoni/nesoni-0.117.ebuild33
-rw-r--r--sci-biology/velvetk/ChangeLog9
-rw-r--r--sci-biology/velvetk/Manifest1
-rw-r--r--sci-biology/velvetk/metadata.xml9
-rw-r--r--sci-biology/velvetk/velvetk-20120606.ebuild29
-rw-r--r--sci-libs/etsf_io/ChangeLog13
-rw-r--r--sci-libs/etsf_io/Manifest1
-rw-r--r--sci-libs/etsf_io/etsf_io-1.0.4.ebuild35
-rw-r--r--sci-libs/libxc/ChangeLog12
-rw-r--r--sci-libs/libxc/Manifest3
-rw-r--r--sci-libs/libxc/libxc-2.0.3.ebuild59
-rw-r--r--sci-libs/libxc/libxc-2.1.0.ebuild59
-rw-r--r--sci-libs/libxc/libxc-2.2.0.ebuild59
37 files changed, 716 insertions, 2 deletions
diff --git a/dev-python/montage-wrapper/ChangeLog b/dev-python/montage-wrapper/ChangeLog
new file mode 100644
index 000000000..c42dc5a74
--- /dev/null
+++ b/dev-python/montage-wrapper/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for dev-python/montage-wrapper
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*montage-wrapper-0.9.7 (16 Apr 2014)
+
+ 16 Apr 2014; Sébastien Fabbro <bicatali@gentoo.org> +metadata.xml,
+ +montage-wrapper-0.9.7.ebuild:
+ dev-python/montage-wrapper: Initial import
diff --git a/dev-python/montage-wrapper/Manifest b/dev-python/montage-wrapper/Manifest
new file mode 100644
index 000000000..f0ebe0492
--- /dev/null
+++ b/dev-python/montage-wrapper/Manifest
@@ -0,0 +1 @@
+DIST montage-wrapper-0.9.7.tar.gz 35817 SHA256 178859fdbeb9d6c427a0c4b44b957d858c9a596490087b00a35f7d22a10e9ec4 SHA512 6d0200b4192a00b5fac28920c8706cba567e47fa789154342b854bc29f07f971d1fe4351deb7e3693b6de71e40ccbf730fe896f2e8b4dc8d0ef9fb5f3998e51e WHIRLPOOL 3db74307169898efec6e3d4b759ada10aad09f0f955da8dbc3215ac5296a70333222742204fa2a98b1f29601fa13b80a16d9c329d6b918a367d0981fd1c60616
diff --git a/dev-python/montage-wrapper/metadata.xml b/dev-python/montage-wrapper/metadata.xml
new file mode 100644
index 000000000..101fb4b35
--- /dev/null
+++ b/dev-python/montage-wrapper/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci-astronomy</herd>
+<longdescription>
+ This Astropy-affiliated package provides a python wrapper to the
+ Montage Astronomical Image Mosaic Engine, including both functions to
+ access individual Montage commands, and high-level functions to
+ facilitate mosaicking and re-projecting.
+</longdescription>
+</pkgmetadata>
diff --git a/dev-python/montage-wrapper/montage-wrapper-0.9.7.ebuild b/dev-python/montage-wrapper/montage-wrapper-0.9.7.ebuild
new file mode 100644
index 000000000..e222f0640
--- /dev/null
+++ b/dev-python/montage-wrapper/montage-wrapper-0.9.7.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_3} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python wrapper for the Montage mosaicking toolkit"
+HOMEPAGE="http://www.astropy.org/montage-wrapper/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+RDEPEND="
+ dev-python/astropy[${PYTHON_USEDEP}]
+ sci-astronomy/montage"
+DEPEND="
+ dev-python/astropy[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( sci-astronomy/montage )"
+
+
+python_compile_all() {
+ use doc && PYTHONPATH=".." emake -C docs html
+}
+
+python_test() {
+ ${EPYTHON} setup.py test
+}
+
+python_install_all() {
+ use doc && HTML_DOCS=( docs/_build/html/. )
+ distutils-r1_python_install_all
+}
diff --git a/licenses/Montage b/licenses/Montage
new file mode 100644
index 000000000..f33d7c8c3
--- /dev/null
+++ b/licenses/Montage
@@ -0,0 +1,90 @@
+CALTECH/JPL
+NON-EXCLUSIVE, NON-COMMERCIAL
+SOFTWARE LICENSE AGREEMENT
+
+--MONTAGE(TM)
+SOURCE CODE ALLOCATION
+--CLICKWRAP LICENSE AGREEMENT--
+
+BY CLICKING THE "I AGREE" BUTTON OR BY USING THE SOFTWARE AFTER VIEWING THIS LICENSE, YOU ARE AGREEING TO THE TERMS OF THIS LICENSE AGREEMENT.
+
+This is a license agreement and not an agreement for sale. This license agreement (Agreement) is between your Company or self for your personal use, and the California Institute of Technology (hereinafter called "LICENSOR" or alternatively CALTECH, through the operating division, Jet Propulsion Laboratory (JPL) of LICENSOR" and gives Licensee certain limited rights to use the proprietary "Montage" Software and Related Material. All rights not specifically granted in this Agreement are reserved to Caltech/JPL. Licensor warrants that it has the right to grant this license of the Software and Related Materials.
+
+RESERVATION OF OWNERSHIP AND GRANT OF LICENSE: Caltech/JPL retains exclusive ownership of any copy of the Software (as defined below) licensed under this Agreement and hereby grants to Licensee a personal, non-exclusive, non-transferable license to use the Software and Related Materials, without the right to sublicense, for research purposes, and pursuant to the terms and conditions of this Agreement. From the date of receipt, Licensee agrees to use reasonable effort to protect the Software from unauthorized use, reproduction, distribution, or publication.
+
+CONFIDENTIALITY: Licensee acknowledges that the Software provided under this Agreement is proprietary to Caltech/JPL, and as such, Licensee agrees to receive all such materials in confidence and use the Software only in accordance with the terms of this Agreement.
+
+COPYRIGHT: The Software is owned by Caltech/JPL and is protected by United States copyright laws and applicable international treaties and/or conventions. The United States Government may have prior rights to use some or all of the Software as determined under applicable contracts and license agreements with Caltech/JPL.
+
+DEFINITIONS: As used herein, the following words, phrases, or terms in this Agreement shall have the following meanings:
+
+"Montage(TM)" means the suite of programs, scripts, manuals and procedures received from Caltech/JPL for the purpose of providing a portable, compute-intensive service that will deliver science-grade custom astronomical image mosaics on demand, with requests made through existing portals.
+
+"Internal" means within the Licensees own organization which has been granted this license.
+
+"Executable Code" means machine-readable code compiled by a high-level compiler.
+
+"Noncommercial" means for research purposes only, wherein LICENSEE shall earn no fees or costs whatsoever for use of Software and/or Related Materials, and shall not develop or manufacture a Product either directly or indirectly from the Software.
+
+"Source Code" means code written in human-readable format or in a high-level program language.
+
+"Software" means the actual copy of all or any portion of the allocated source or executable code for program routines delivered on the media, inclusive of backups, updates, or merged copies permitted hereunder or subsequently supplied by Caltech/JPL. It includes file structures, programming instructions, user interfaces and screen formats and sequences.
+
+"Related Materials" means all of the printed materials, user documentation, training documentation and confidential software activation code supplied by Caltech/JPL under this Agreement.
+
+
+PERMITTED USES:
+
+Noncommercial Research:
+
+The Software may be used for Licensee's own internal research and development or experimental use. Licensee shall report any performance problems to Caltech/JPL for improvement of the software.
+
+Backups: Licensee may make and maintain backup copies provided Licensee or its archive service delegatee keeps possession of each backup. In addition, Licensee may make that number of copies of the Software necessary for its licensed site provided that all information appearing in or on the original labels, including the copyright and trademark notices are copied onto the labels of the copies.
+
+USES NOT PERMITTED:
+
+Licensee has not been granted any trademark license as part of this agreement and may not use the name or mark "Montage" or any rendition thereof for any purpose outside of the purpose stated herein.
+
+THIRD PARTIES: LICENSEE MAY NOT SELL, RENT, LEASE, SUBLICENSE, LEND, TIME-SHARE OR TRANSFER, IN WHOLE OR IN PART, OR PROVIDE UNLICENSED THIRD PARTIES ACCESS, TO PRIOR OR PRESENT VERSIONS (OR ANY PARTS THEREOF) OF THE SOFTWARE AND RELATED MATERIALS, ANY UPDATES, OR LICENSEE'S RIGHTS UNDER THIS AGREEMENT. THE CODE MAY BE ACCESSED INDEPENDENTLY, AFTER CLICKING THE "I AGREE" BUTTON AND FILLING OUT AN INFORMATION FORM, THROUGH THE WWW SITE: HTTP://MONTAGE.IPAC.CALTECH.EDU.
+
+Licensee may not remove or obscure any copyright or trademark notices.
+
+The Software and Related Materials shall not become subject to application for patent or copyright by Licensee.
+
+Assignment: Licensee shall not assign this Agreement or Licensee's rights hereunder without the prior written consent of Caltech/JPL. Any purported assignment without such consent shall be null and void.
+
+Term: The term of the license granted by this Agreement is from the effective date of this agreement until terminated.
+
+You may terminate this license at any time by destroying the program and documentation and the permitted backup copy. Upon termination, you will destroy all copies of the Software.
+
+This license automatically terminates if you fail to comply with any provision of this Agreement. Licensee will then return to Caltech/JPL the Software, Related Materials and any whole or partial copies, codes, modifications, and merged portions in any form. The parties hereby agree that all provisions, which operate to protect the proprietary rights of Caltech/JPL shall remain in force should breach occur and that the obligation of confidentiality described survives the term of the Agreement.
+
+Fee: Whereas Licensee will use said Software solely for the uses stated above, and agrees not to permit or sublicense third-party use of this Software, and to comply with any applicable "Restricted Rights" requirements, there is no fee for this license.
+
+NO WARRANTY:
+
+DISCLAIMER
+
+THE SOFTWARE AND/OR RELATED MATERIALS ARE PROVIDED "AS-IS" WITHOUT WARRANTY OF ANY KIND INCLUDING ANY WARRANTIES OF PERFORMANCE OR MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE (AS SET FORTH IN UCC 2312 2313) OR FOR ANY PURPOSE WHATSOEVER, FOR THE LICENSED PRODUCT, HOWEVER USED.
+
+IN NO EVENT SHALL CALTECH/JPL BE LIABLE FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES OF ANY KIND, INCLUDING ECONOMIC DAMAGE OR INJURY TO PROPERTY AND LOST PROFITS, REGARDLESS OF WHETHER CALTECH/JPL SHALL BE ADVISED, HAVE REASON TO KNOW, OR IN FACT SHALL KNOW OF THE POSSIBILITY.
+
+USER BEARS ALL RISK RELATING TO QUALITY AND PERFORMANCE OF THE SOFTWARE AND/OR RELATED MATERIALS.
+
+Exclusive Remedy and Limitation of Liability: Caltech/JPL shall not be liable for indirect, special, incidental, or consequential damages or lost profits related to Licensee's use of the Software and Related Materials, even if Caltech/JPL is advised of the possibility of such damage.
+
+Restricted Rights Legend
+
+Use, duplication, or disclosure by the Government is subject to the restrictions as set forth in FAR s52.227-14 (JUN 1987) Alternate III (g)(3), FAR s52.227-19 (JUN 1987), DFARS s252.211-7015 (MAY 1991) or DFARS s252.227-7013 (c)(1)(ii) (OCT 1988), as applicable.
+
+Support and Maintenance: No software support or training by the Licensor is provided as part of this agreement.
+
+Export Regulation: When exporting Caltech/JPL software or product incorporating such software to a foreign entity, licensee shall comply with all federal export laws and statutes. In the event an export license is required to execute the transfer, licensee shall apply and obtain approval for such license through the appropriate U.S. government agency.
+
+Severability: If any provision(s) of this Agreement shall be held to be invalid, illegal, or unenforceable by a court or other tribunal of competent jurisdiction, the validity, legality and enforceability of the remaining provisions shall not in any way be affected or impaired thereby.
+
+No Implied Waivers: No failure or delay by Caltech/JPL in enforcing any right or remedy under this Agreement shall be construed as a waiver of any future or other exercise of such right or remedy by Caltech/JPL.
+
+Governing Law: Except with respect to Copyright or Patent rights, which shall be governed by federal laws, this Agreement shall be construed and enforced in accordance with the laws of the State of California.
+
+BY CLICKING THE "I AGREE" BUTTON OR BY USING THE SOFTWARE AFTER VIEWING THIS LICENSE, YOU ARE AGREEING TO THE TERMS OF THIS LICENSE AGREEMENT.
diff --git a/sci-astronomy/montage/ChangeLog b/sci-astronomy/montage/ChangeLog
new file mode 100644
index 000000000..87812f105
--- /dev/null
+++ b/sci-astronomy/montage/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for sci-astronomy/montage
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*montage-3.3 (16 Apr 2014)
+
+ 16 Apr 2014; Sébastien Fabbro <bicatali@gentoo.org> +metadata.xml,
+ +montage-3.3.ebuild:
+ sci-astronomy/montage: Initial import
diff --git a/sci-astronomy/montage/Manifest b/sci-astronomy/montage/Manifest
new file mode 100644
index 000000000..97d0cb64b
--- /dev/null
+++ b/sci-astronomy/montage/Manifest
@@ -0,0 +1,2 @@
+DIST Montage_v3.3.tar.gz 6967237 SHA256 a4776d3f050ac9aed966de47986ee44f613f04b29fca55f72062754cfc258067 SHA512 3a1e5a63095d5ea5a27878712b79f370e92d9495e8eac1e43ddc4262194de7c4deb5c8fef1f14c3f579aa3343ba9ff3be0b3f3364f86b464057ed34973e734a8 WHIRLPOOL a7f52d325ad633c4a616355dbad1a90ed2b34f6d83399077d08aa2b430055bfb04e8010c58d93ec4fda1cc863717774bbc2e768cbad7f8daa07eaecd7667d3fb
+DIST montage-docs.tar.gz 91461226 SHA256 0037b49551001d4cc75ac7c084d65ff0ecb84026934853a9051b02976ef676b9 SHA512 5df4bf5e06486b43eb0ab3bd1cb9f8b99b3be375e319cb4ff95e850d4c89fc48abe3840832cabac54e378f12833ab3c5924610771a5dd22e5a2a19a3a5f32f38 WHIRLPOOL b18f2753316060693c2d0a93ed9e86f91fff8c6ceeb60ec5e6dd597b974e0f926418013c5c9dbe8e291d574ff26b52fdf1a0d1ff54bbe25f04fca3f4b8d4b0e1
diff --git a/sci-astronomy/montage/metadata.xml b/sci-astronomy/montage/metadata.xml
new file mode 100644
index 000000000..7f567c32e
--- /dev/null
+++ b/sci-astronomy/montage/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci-astronomy</herd>
+<longdescription lang="en">
+ Montage is a toolkit for assembling Flexible Image Transport System
+ (FITS) images into custom mosaics
+</longdescription>
+</pkgmetadata>
diff --git a/sci-astronomy/montage/montage-3.3.ebuild b/sci-astronomy/montage/montage-3.3.ebuild
new file mode 100644
index 000000000..370bf1a73
--- /dev/null
+++ b/sci-astronomy/montage/montage-3.3.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit toolchain-funcs
+
+MYP=Montage_v${PV}
+
+DESCRIPTION="Astronomical image mosaic engine"
+HOMEPAGE="http://montage.ipac.caltech.edu/"
+SRC_URI="http://montage.ipac.caltech.edu/download/${MYP}.tar.gz
+ doc? ( http://montage.ipac.caltech.edu/docs/docs.tar.gz -> ${PN}-docs.tar.gz )"
+
+LICENSE="Montage"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+SLOT="0"
+
+IUSE="doc mpi"
+
+# unfortunate upstream patching, cfitsio, wcstools, jpeg
+# see docs/ExternalLibraries
+
+RDEPEND=""
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MYP}"
+
+src_prepare() {
+ use doc && mv "${WORKDIR}"/docs/* docs/
+ sed -i \
+ -e "/CC.*=/s:\(gcc\|cc\):$(tc-getCC):g" \
+ -e "/CFLAGS.*=/s:-g:${CFLAGS}:g" \
+ -e "s:ar q:$(tc-getAR) q:g" \
+ $(find . -name Makefile) || die
+ if use mpi; then
+ sed -i \
+ -e 's:# MPICC:MPICC:' \
+ -e 's:# BINS:BINS:' \
+ Montage/Makefile || die
+ fi
+}
+
+src_install () {
+ dobin bin/*
+ dodoc README ChangeHistory
+ if use doc; then
+ insinto /usr/share/doc/${PF}
+ doins -r docs/*
+ fi
+}
diff --git a/sci-biology/VelvetOptimiser/ChangeLog b/sci-biology/VelvetOptimiser/ChangeLog
new file mode 100644
index 000000000..44fa73b05
--- /dev/null
+++ b/sci-biology/VelvetOptimiser/ChangeLog
@@ -0,0 +1,13 @@
+# ChangeLog for sci-biology/VelvetOptimiser
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 15 Apr 2014; Martin Mokrejs <mmokrejs@fold.natur.cuni.cz>
+ VelvetOptimiser-2.2.5.ebuild:
+ sci-biology/VelvetOptimiser: add requirement for threaded perl
+
+*VelvetOptimiser-2.2.5 (15 Apr 2014)
+
+ 15 Apr 2014; Martin Mokrejs <mmokrejs@fold.natur.cuni.cz>
+ +VelvetOptimiser-2.2.5.ebuild, +metadata.xml:
+ sci-biology/VelvetOptimiser: new package
diff --git a/sci-biology/VelvetOptimiser/Manifest b/sci-biology/VelvetOptimiser/Manifest
new file mode 100644
index 000000000..658081951
--- /dev/null
+++ b/sci-biology/VelvetOptimiser/Manifest
@@ -0,0 +1 @@
+DIST VelvetOptimiser-2.2.5.tar.gz 28786 SHA256 a7c2f213dff80f8448081a15a487a55cb5e3432f836763bcb5c38abc800af503 SHA512 27a19c360ce6c469cbb9d9025c14954b98f6b91680402a32f29843694be7f193113161bf89e98ed42d2bd70a400e9dd729ba51bee5e50f7b953789943ac83f68 WHIRLPOOL 3c889a6576bc42ec2e71492a7c3675746f825591ca8af9a6bdc7627d5ae12803adc4c4f994df91f7c07075ac20063f7781933d321f0d69b72f017f25ed20842b
diff --git a/sci-biology/VelvetOptimiser/VelvetOptimiser-2.2.5.ebuild b/sci-biology/VelvetOptimiser/VelvetOptimiser-2.2.5.ebuild
new file mode 100644
index 000000000..1be997381
--- /dev/null
+++ b/sci-biology/VelvetOptimiser/VelvetOptimiser-2.2.5.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit perl-module
+
+DESCRIPTION="Optimise three primary parameter options (K, -exp_cov, -cov_cutoff) for Velvet sequence assembler."
+HOMEPAGE="http://www.vicbioinformatics.com/software.velvetoptimiser.shtml"
+SRC_URI="http://www.vicbioinformatics.com/"${P}".tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}
+ >=sci-biology/bioperl-1.4
+ >=sci-biology/velvet-0.7.5.1
+ >=dev-lang/perl-5.8[ithreads]"
+
+src_install(){
+ dobin VelvetOptimiser.pl
+ insinto ${VENDOR_LIB}/${PN}
+ doins VelvetOpt/*.pm
+ dodoc README INSTALL CHANGELOG || die
+}
diff --git a/sci-biology/VelvetOptimiser/metadata.xml b/sci-biology/VelvetOptimiser/metadata.xml
new file mode 100644
index 000000000..2bc893037
--- /dev/null
+++ b/sci-biology/VelvetOptimiser/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-biology</herd>
+ <maintainer>
+ <email>mmokrejs@fold.natur.cuni.cz</email>
+ <name>Martin Mokrejs</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/sci-biology/barrnap/ChangeLog b/sci-biology/barrnap/ChangeLog
new file mode 100644
index 000000000..df3957114
--- /dev/null
+++ b/sci-biology/barrnap/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for sci-biology/barrnap
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*barrnap-0.3 (15 Apr 2014)
+
+ 15 Apr 2014; Martin Mokrejs <mmokrejs@fold.natur.cuni.cz> +barrnap-0.3.ebuild,
+ +metadata.xml:
+ sci-biology/barrnap: new package, package contains bundled binaries, untested
diff --git a/sci-biology/barrnap/Manifest b/sci-biology/barrnap/Manifest
new file mode 100644
index 000000000..25eaaab3d
--- /dev/null
+++ b/sci-biology/barrnap/Manifest
@@ -0,0 +1 @@
+DIST barrnap-0.3.tar.gz 4102752 SHA256 f99a808a3b304748fff0394e4e048a8efb0a52ee309b6a4f7296e3e2cf05ce69 SHA512 4b67e995b335e9e8397481c60058bf3a21044e1829781f277027ce2b3e4836c17c30dc2453c6d7d3c00ef8c07394fc5cb46719bfd397e66db7d4ba3c5bfdd514 WHIRLPOOL 7c43f9eec8aa644de7b1f53d626b13fb1b838bef81680a7e96063f79e80ce2d23a101d1fef8cd7ad87165e24555f2bd866c02ff36d45bd5068c56f37c7a27542
diff --git a/sci-biology/barrnap/barrnap-0.3.ebuild b/sci-biology/barrnap/barrnap-0.3.ebuild
new file mode 100644
index 000000000..f5af3abce
--- /dev/null
+++ b/sci-biology/barrnap/barrnap-0.3.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit perl-module
+
+DESCRIPTION="Predict Bacterial and Archaeal rRNA genes and output in GFF3 format"
+HOMEPAGE="http://www.vicbioinformatics.com/software.barrnap.shtml"
+SRC_URI="http://www.vicbioinformatics.com/"${P}".tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS=""
+IUSE=""
+
+# contains bundled binaries of hmmer-3.1 (dev version)
+
+DEPEND=""
+RDEPEND="${DEPEND}
+ sci-biology/nesoni"
diff --git a/sci-biology/barrnap/metadata.xml b/sci-biology/barrnap/metadata.xml
new file mode 100644
index 000000000..2bc893037
--- /dev/null
+++ b/sci-biology/barrnap/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-biology</herd>
+ <maintainer>
+ <email>mmokrejs@fold.natur.cuni.cz</email>
+ <name>Martin Mokrejs</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/sci-biology/bedtools/ChangeLog b/sci-biology/bedtools/ChangeLog
new file mode 100644
index 000000000..530ceb5ab
--- /dev/null
+++ b/sci-biology/bedtools/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for sci-biology/bedtools
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*bedtools-2.19.1 (15 Apr 2014)
+
+ 15 Apr 2014; Martin Mokrejs <mmokrejs@fold.natur.cuni.cz>
+ +bedtools-2.19.1.ebuild, +metadata.xml:
+ sci-biology/bedtools: version bump per bug #505538
diff --git a/sci-biology/bedtools/Manifest b/sci-biology/bedtools/Manifest
new file mode 100644
index 000000000..163e78953
--- /dev/null
+++ b/sci-biology/bedtools/Manifest
@@ -0,0 +1 @@
+DIST bedtools-2.19.1.tar.gz 18791375 SHA256 17253439e8191cb51a8bffba640c580e09ba158d3a0c66649e53d23ee3e50f77 SHA512 d6e79d3d4bfd3794a32b460fb9fa371d275451df1698104f0cba50482361bfa488401468dace84641e36e4c3714ba7a127bbfe0322c242ce1a9bd45335b0c4fb WHIRLPOOL cef9ba42c23131f4e464af1085c0bf952e4bb253e3adae0ca06be2d07dd503c94075c7af12cdffaf2125a9560fd50aec8a6864b5e100a148e28832217dc8f671
diff --git a/sci-biology/bedtools/bedtools-2.19.1.ebuild b/sci-biology/bedtools/bedtools-2.19.1.ebuild
new file mode 100644
index 000000000..fd875859c
--- /dev/null
+++ b/sci-biology/bedtools/bedtools-2.19.1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sci-biology/bedtools/bedtools-2.16.2.ebuild,v 1.1 2012/05/29 02:54:40 weaver Exp $
+
+EAPI=4
+
+inherit flag-o-matic
+
+DESCRIPTION="Tools for manipulation and analysis of BED, GFF/GTF, VCF, and SAM/BAM file formats"
+HOMEPAGE="http://code.google.com/p/bedtools/"
+SRC_URI="https://github.com/arq5x/bedtools2/releases/download/v${PV}/bedtools-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+S="${WORKDIR}/bedtools2-${PV}"
+
+src_prepare() {
+ filter-ldflags -Wl,--as-needed
+ sed -i \
+ -e '/export CXXFLAGS/ d' \
+ -e '/export CXX/ d' \
+ Makefile || die
+}
+
+src_install() {
+ dobin bin/*
+ dodoc README* RELEASE_HISTORY
+ insinto /usr/share/${PN}
+ doins -r genomes
+}
diff --git a/sci-biology/bedtools/metadata.xml b/sci-biology/bedtools/metadata.xml
new file mode 100644
index 000000000..d841c4bcb
--- /dev/null
+++ b/sci-biology/bedtools/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-biology</herd>
+ <herd>proxy-maintainers</herd>
+ <maintainer>
+ <email>mmokrejs@gmail.com</email>
+ <name>Martin Mokrejs</name>
+ </maintainer>
+ <longdescription>
+ BEDTools: a flexible suite of utilities for comparing genomic features.
+ </longdescription>
+ <upstream>
+ <remote-id type="google-code">bedtools</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/sci-biology/nesoni/ChangeLog b/sci-biology/nesoni/ChangeLog
new file mode 100644
index 000000000..1e9ab4202
--- /dev/null
+++ b/sci-biology/nesoni/ChangeLog
@@ -0,0 +1,10 @@
+# ChangeLog for sci-biology/nesoni
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*nesoni-0.117 (15 Apr 2014)
+
+ 15 Apr 2014; Martin Mokrejs <mmokrejs@fold.natur.cuni.cz> +metadata.xml,
+ +nesoni-0.117.ebuild:
+ sci-biology/nesoni: new package, needs some dev-lang/R -based packages to be
+ installed
diff --git a/sci-biology/nesoni/Manifest b/sci-biology/nesoni/Manifest
new file mode 100644
index 000000000..3ebc35afc
--- /dev/null
+++ b/sci-biology/nesoni/Manifest
@@ -0,0 +1 @@
+DIST nesoni-0.117.tar.gz 2506715 SHA256 5456199bf4cab790271757d48cb4e9e0d9e52b0cf47ce4c376f22f3c18877ce4 SHA512 6be631c5f3fa65102899f6593bee5c4ca90cd6943485af258a5be4ea326c75dc7704c0c42a03004f7e14bb63f1da0efc13611b76a46d9fecf90eb9468cd111f5 WHIRLPOOL 92093093877c7a350c03e3a8a6920e8fcc7215c4d6081b966de03ee55148d7fd76242de8968615952100f4a8e840597b76c7528bc15ba5ccf3130f47446fe853
diff --git a/sci-biology/nesoni/metadata.xml b/sci-biology/nesoni/metadata.xml
new file mode 100644
index 000000000..2bc893037
--- /dev/null
+++ b/sci-biology/nesoni/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-biology</herd>
+ <maintainer>
+ <email>mmokrejs@fold.natur.cuni.cz</email>
+ <name>Martin Mokrejs</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/sci-biology/nesoni/nesoni-0.117.ebuild b/sci-biology/nesoni/nesoni-0.117.ebuild
new file mode 100644
index 000000000..9f14d79ea
--- /dev/null
+++ b/sci-biology/nesoni/nesoni-0.117.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 eutils
+
+DESCRIPTION="Analysis package for next-generation sequencing data and prepare for IGV display"
+HOMEPAGE="http://www.vicbioinformatics.com/software.nesoni.shtml"
+SRC_URI="http://www.vicbioinformatics.com/"${P}".tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}
+ sci-biology/shrimp
+ sci-biology/bowtie
+ sci-biology/mummer
+ sci-biology/biopython
+ sci-biology/picard
+ dev-lang/R"
+
+ # sci-biology/freebayes
+ # SplitsTree4
+ # BioConductor (limma, edgeR, goseq)
+ # seriation
+ # NMF
diff --git a/sci-biology/velvetk/ChangeLog b/sci-biology/velvetk/ChangeLog
new file mode 100644
index 000000000..add4df7e3
--- /dev/null
+++ b/sci-biology/velvetk/ChangeLog
@@ -0,0 +1,9 @@
+# ChangeLog for sci-biology/velvetk
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*velvetk-20120606 (15 Apr 2014)
+
+ 15 Apr 2014; Martin Mokrejs <mmokrejs@fold.natur.cuni.cz> +metadata.xml,
+ +velvetk-20120606.ebuild:
+ sci-biology/velvetk: new package
diff --git a/sci-biology/velvetk/Manifest b/sci-biology/velvetk/Manifest
new file mode 100644
index 000000000..4a7a8c140
--- /dev/null
+++ b/sci-biology/velvetk/Manifest
@@ -0,0 +1 @@
+DIST velvetk.pl 5862 SHA256 914fa4a601ab819d0c2239c2bc17e2f65c199dd4deea22bdd649f81e1961f02b SHA512 2f89964888730ffa0fc1fee043af0f050ff856e059ca541f664637d27c88c0fc306bec5d078683641863c0e17c09c76dfaf5e7ebe2eed42714cca3725239af51 WHIRLPOOL 846c9bd1d62a2d432cca0f05a18c5bdf4f17e98f284dafb48bba7b0672f0e0426bf76537412d45c445fff8eca44f1eabb000a2efff357f90ff41d3c027c4139b
diff --git a/sci-biology/velvetk/metadata.xml b/sci-biology/velvetk/metadata.xml
new file mode 100644
index 000000000..2bc893037
--- /dev/null
+++ b/sci-biology/velvetk/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-biology</herd>
+ <maintainer>
+ <email>mmokrejs@fold.natur.cuni.cz</email>
+ <name>Martin Mokrejs</name>
+ </maintainer>
+</pkgmetadata>
diff --git a/sci-biology/velvetk/velvetk-20120606.ebuild b/sci-biology/velvetk/velvetk-20120606.ebuild
new file mode 100644
index 000000000..2ebb4f392
--- /dev/null
+++ b/sci-biology/velvetk/velvetk-20120606.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit perl-module
+
+DESCRIPTION="Estimate the best k-mer size to use for your Velvet de novo assembly"
+HOMEPAGE="http://www.vicbioinformatics.com/software.velvetk.shtml"
+SRC_URI="http://www.vicbioinformatics.com/velvetk.pl"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"
+
+src_prepare(){
+ cp -p "${DISTDIR}"/velvetk.pl . || die
+}
+
+src_install(){
+ dobin velvetk.pl
+}
diff --git a/sci-libs/etsf_io/ChangeLog b/sci-libs/etsf_io/ChangeLog
index 073dcb921..918ee5ffe 100644
--- a/sci-libs/etsf_io/ChangeLog
+++ b/sci-libs/etsf_io/ChangeLog
@@ -1,7 +1,18 @@
# ChangeLog for sci-libs/etsf_io
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 15 Apr 2014; Honza Macháček <Hloupy.Honza@centrum.cz> etsf_io-1.0.4.ebuild:
+ From sci-libs/etsf_io-1.0.4 removed -fPIC, probably not needed, just
+ introduced by mistake.
+
+*etsf_io-1.0.4 (15 Apr 2014)
+
+ 15 Apr 2014; Honza Macháček <Hloupy.Honza@centrum.cz>
+ +etsf_io-1.0.4.ebuild:
+ Version bump. 1.0.4 no longer needs help to link with netcdf, but requires
+ -fPIC to compile.
+
20 Jun 2013; Honza Macháček <Hloupy.Honza@centrum.cz>
etsf_io-1.0.3-r2.ebuild:
The announced, but forgotten, change actually done.
diff --git a/sci-libs/etsf_io/Manifest b/sci-libs/etsf_io/Manifest
index 2af8e9f4f..0ade51eb4 100644
--- a/sci-libs/etsf_io/Manifest
+++ b/sci-libs/etsf_io/Manifest
@@ -1 +1,2 @@
DIST etsf_io-1.0.3.tar 453734 SHA256 a02ead44b9634bdb6e47e50d76f35d56c10df468743e6fe5259c0dc478f7b32e SHA512 2a60533a588587da5629687942044ed58b72a554c484d3c22263314cbeb21aa819d5097e6637b599de06474d4d92cc84ea94fa365123e677311be3bf7b8e7bf5 WHIRLPOOL 714cfa983b5f3411a04df88ad54513f71b482368cba93b790d5d93388a9aea346cd83de80311ed0fe5fdc51fac4af8be4428764119a0cf9f17df24e91f2ae74a
+DIST etsf_io-1.0.4.tar.gz 475617 SHA256 3140c2cde17f578a0e6b63acb27a5f6e9352257a1371a17b9c15c3d0ef078fa4 SHA512 a251384da49832c4d673af450167095ada783f5483ecb94e79efe0c5b538bdfd6aa55f7bb6e49735dc85b4b894b1255746e72d89426073b2ffbe12512adb7803 WHIRLPOOL 1ae9171185d4e72d378cc06c6be9a317d92da4a0ed566441c0b867c27144545feff95142a910e9563c4ec4c20a7c1d13a7e55009b9a0e5e2c8d82c1a8093df8c
diff --git a/sci-libs/etsf_io/etsf_io-1.0.4.ebuild b/sci-libs/etsf_io/etsf_io-1.0.4.ebuild
new file mode 100644
index 000000000..7fe4fceb9
--- /dev/null
+++ b/sci-libs/etsf_io/etsf_io-1.0.4.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+inherit fortran-2 multilib
+
+DESCRIPTION="A library of F90 routines to read/write the ETSF file format"
+HOMEPAGE="http://www.etsf.eu/resources/software/libraries_and_tools/"
+SRC_URI="http://www.etsf.eu/system/files/${P}.tar.gz"
+
+LICENSE="LGPL-2"
+SLOT="0"
+IUSE="examples"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ || (
+ sci-libs/netcdf[fortran]
+ sci-libs/netcdf-fortran
+ )
+ virtual/fortran"
+DEPEND="${RDEPEND}"
+
+FORTRAN_STANDARD="90"
+
+src_configure() {
+ # fortran 90 uses FCFLAGS
+ export FCFLAGS="${FFLAGS:--O2}"
+ econf \
+ $(use_enable examples build-tutorials) \
+ --prefix="${EPREFIX}/usr" \
+ --with-moduledir="${EPREFIX}/usr/include"
+}
diff --git a/sci-libs/libxc/ChangeLog b/sci-libs/libxc/ChangeLog
index e98190d7f..d1e47422f 100644
--- a/sci-libs/libxc/ChangeLog
+++ b/sci-libs/libxc/ChangeLog
@@ -1,7 +1,17 @@
# ChangeLog for sci-libs/libxc
-# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*libxc-2.2.0 (15 Apr 2014)
+*libxc-2.1.0 (15 Apr 2014)
+*libxc-2.0.3 (15 Apr 2014)
+
+ 15 Apr 2014; Honza Macháček <Hloupy.Honza@centrum.cz> +libxc-2.0.3.ebuild,
+ +libxc-2.1.0.ebuild, +libxc-2.2.0.ebuild:
+ Version bump to 2.0.3. Versions 2.1.0 and 2.2.0 added; they have a new
+ testsuite and pass it but compatibility with dependent packages not tested
+ yet, especially for 2.2.0 that separates fortran bindings.
+
*libxc-2.0.2 (05 Nov 2013)
05 Nov 2013; Justin Lecher <jlec@gentoo.org> libxc-2.0.1.ebuild,
diff --git a/sci-libs/libxc/Manifest b/sci-libs/libxc/Manifest
index 4f27e6cf9..48b917de4 100644
--- a/sci-libs/libxc/Manifest
+++ b/sci-libs/libxc/Manifest
@@ -1,3 +1,6 @@
DIST libxc-1.2.0.tar.gz 895527 SHA256 ee441c3cde2e2bd87828186aa17f6e4438d17b38634c5d29bb12d3b7554461fb SHA512 3ac0fd07e40db4feb0f0a4ebe1358fdd4de0fff21f6dd369895c658a14cd3bafedbbc374b89f68320401dfcfe16a6230e05403fdaccfcbebb98349ca06593125 WHIRLPOOL 66439bf65a656567c0e52a4ee20b206658a9185bdbd3e045daca00bf01ba0199ccbedea3e5034cf90fbc36dbc04d9666cde8bde46e2577ffd160800f1718bd2a
DIST libxc-2.0.1.tar.gz 1062846 SHA256 c332f08648ec2bc7ccce83e45a84776215aa5dfebc64fae2a23f2ac546d41ea4 SHA512 c7d87134911fdfd91d985397a3fa990a63cc05d0752f0e2522e41dae0c2f39c43f9bd87ee6eb1972ab92b1aedeefad55a33ad84b1c66032e61ca03c87db02c5b WHIRLPOOL 16a5b999bb60177fde1371421f41f35736af4fcf8df123318ea438ffd34f487dcbadc95124ab9cf6ab2edeadd7983c56e0ca9d84bf528254de1f2a003addd402
DIST libxc-2.0.2.tar.gz 1060884 SHA256 402b0528a04d55294925558d80d03fff0f95defa3f4a6f8041d0d26857da1de5 SHA512 38e987127f312846649936c22b6f92e8f3242fd6052d132a94ba06a1e466009949dd5a50474d36944267354a9491df5cf6ee051f77deccf2ff9c99cb48e38e51 WHIRLPOOL 7566146db6799bd0d7516ed166f18b3ac43372ef2350c26f1f3e5259a02ae32bd10f3c0fd98ba49f1a66c5ec0b081f7a04f2484ada2891bccfe8b692e717da4a
+DIST libxc-2.0.3.tar.gz 1108672 SHA256 7f193adbbc4efec95ae9d6354eb5d82b49bf6645c6b590a8ac149ea8d253fdf8 SHA512 75f393826e89361877e23f80aee55bc22d19cbc202545017486f968808ab07540dc6e3312a07f5356bf9329e6fc69bb3beb0e35b886e8f87d598857b8831d0a9 WHIRLPOOL fbac6c9c9a2b5bcbaf3ec707111eb7b712a3bb9fad3a565ab5a2fb7db4a968563c816d8a0c1b11f1c229012faab65fadf9499d2d05c76545082fefec8cc847a1
+DIST libxc-2.1.0.tar.gz 730065 SHA256 481fcd811d7f5e99ceab2596be09e422a21e9b03437ca607b9c03ffc42050d29 SHA512 0d0852a4377acff6b450e5e9e31b8258caf26638eff99979a628ae5e0cdbdeef4a1a811e85f12449fc99a03a120737f909e2a1acbbdd9d9aede379e3892b8e64 WHIRLPOOL 69d624f6ff4af993db2c95c83a965ebd525ee1ae82641067adc62a6fc0da622db66e129fc8ce175cbbf89fccd9548590e1ae1fbcad7699cc0a55025dc2daf416
+DIST libxc-2.2.0.tar.gz 715642 SHA256 51902468dc43218ec8ad770db7aa4baf9c11f2630ca9c34b137bb90e300c2092 SHA512 0ac133b0cb228e71d2f9f61864726092d41a4e1415ef9301abdf6e7e75ffab22c854c6e28ba38dc917f1e7d3538ce2107e8c556f4aeee890f5720d38d34a1307 WHIRLPOOL 8d1192c2f3222783b3433a692b16bd7a9cc3b3f2f96f6b060420c00b57eba08166cd74670e59b93fca9e7c7bcc4a1707865f20744740b9010284be956ba7d70d
diff --git a/sci-libs/libxc/libxc-2.0.3.ebuild b/sci-libs/libxc/libxc-2.0.3.ebuild
new file mode 100644
index 000000000..b794ff926
--- /dev/null
+++ b/sci-libs/libxc/libxc-2.0.3.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools-utils flag-o-matic fortran-2 multilib
+
+MY_P=${P//_/-}
+
+DESCRIPTION="A library of exchange-correlation functionals for use in DFT"
+HOMEPAGE="http://www.tddft.org/programs/octopus/wiki/index.php/Libxc"
+SRC_URI="http://www.tddft.org/programs/octopus/download/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE="fortran static-libs -test"
+
+S="${WORKDIR}"/${MY_P}
+
+MAKEOPTS+=" -j1"
+
+pkg_setup() {
+ use fortran && fortran-2_pkg_setup
+}
+
+src_prepare() {
+ sed \
+ -e "s:${PN}.f90:${PN}.F90:g" \
+ -i src/Makefile.am || die
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=( $(use_enable fortran) )
+ autotools-utils_src_configure
+}
+
+## Upstream recommends not running the test suite because it requires
+## human expert interpretation to determine whether output is an error or
+## expected under certain circumstances. Nevertheless, experts might want the option.
+# The autotools src_test function modified not to die. Runs emake check in build directory.
+src_test() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ _check_build_dir
+ pushd "${BUILD_DIR}" > /dev/null || die
+ make check || ewarn "Make check failed. See above for details."
+ einfo "emake check done"
+ popd > /dev/null || die
+}
+
+src_install() {
+ autotools-utils_src_install
+
+}
diff --git a/sci-libs/libxc/libxc-2.1.0.ebuild b/sci-libs/libxc/libxc-2.1.0.ebuild
new file mode 100644
index 000000000..b794ff926
--- /dev/null
+++ b/sci-libs/libxc/libxc-2.1.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools-utils flag-o-matic fortran-2 multilib
+
+MY_P=${P//_/-}
+
+DESCRIPTION="A library of exchange-correlation functionals for use in DFT"
+HOMEPAGE="http://www.tddft.org/programs/octopus/wiki/index.php/Libxc"
+SRC_URI="http://www.tddft.org/programs/octopus/download/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE="fortran static-libs -test"
+
+S="${WORKDIR}"/${MY_P}
+
+MAKEOPTS+=" -j1"
+
+pkg_setup() {
+ use fortran && fortran-2_pkg_setup
+}
+
+src_prepare() {
+ sed \
+ -e "s:${PN}.f90:${PN}.F90:g" \
+ -i src/Makefile.am || die
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=( $(use_enable fortran) )
+ autotools-utils_src_configure
+}
+
+## Upstream recommends not running the test suite because it requires
+## human expert interpretation to determine whether output is an error or
+## expected under certain circumstances. Nevertheless, experts might want the option.
+# The autotools src_test function modified not to die. Runs emake check in build directory.
+src_test() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ _check_build_dir
+ pushd "${BUILD_DIR}" > /dev/null || die
+ make check || ewarn "Make check failed. See above for details."
+ einfo "emake check done"
+ popd > /dev/null || die
+}
+
+src_install() {
+ autotools-utils_src_install
+
+}
diff --git a/sci-libs/libxc/libxc-2.2.0.ebuild b/sci-libs/libxc/libxc-2.2.0.ebuild
new file mode 100644
index 000000000..b794ff926
--- /dev/null
+++ b/sci-libs/libxc/libxc-2.2.0.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=true
+
+inherit autotools-utils flag-o-matic fortran-2 multilib
+
+MY_P=${P//_/-}
+
+DESCRIPTION="A library of exchange-correlation functionals for use in DFT"
+HOMEPAGE="http://www.tddft.org/programs/octopus/wiki/index.php/Libxc"
+SRC_URI="http://www.tddft.org/programs/octopus/download/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE="fortran static-libs -test"
+
+S="${WORKDIR}"/${MY_P}
+
+MAKEOPTS+=" -j1"
+
+pkg_setup() {
+ use fortran && fortran-2_pkg_setup
+}
+
+src_prepare() {
+ sed \
+ -e "s:${PN}.f90:${PN}.F90:g" \
+ -i src/Makefile.am || die
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ local myeconfargs=( $(use_enable fortran) )
+ autotools-utils_src_configure
+}
+
+## Upstream recommends not running the test suite because it requires
+## human expert interpretation to determine whether output is an error or
+## expected under certain circumstances. Nevertheless, experts might want the option.
+# The autotools src_test function modified not to die. Runs emake check in build directory.
+src_test() {
+ debug-print-function ${FUNCNAME} "$@"
+
+ _check_build_dir
+ pushd "${BUILD_DIR}" > /dev/null || die
+ make check || ewarn "Make check failed. See above for details."
+ einfo "emake check done"
+ popd > /dev/null || die
+}
+
+src_install() {
+ autotools-utils_src_install
+
+}